Bug 1258698 - SELinux is preventing sh from 'execute_no_trans' accesses on the file /usr/libexec/pcp/bin/pmcpp.
SELinux is preventing sh from 'execute_no_trans' accesses on the file /usr/li...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:cf86ad7db9e693d20b6fbb6b431...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 23:26 EDT by Martín Cigorraga
Modified: 2015-10-28 12:26 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-128.19.fc22 selinux-policy-3.13.1-128.18.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 12:26:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martín Cigorraga 2015-08-31 23:26:57 EDT
Description of problem:
SELinux is preventing sh from 'execute_no_trans' accesses on the file /usr/libexec/pcp/bin/pmcpp.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sh should be allowed execute_no_trans access on the pmcpp file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sh /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:pcp_pmlogger_t:s0-s0:c0.c1023
Target Context                system_u:object_r:bin_t:s0
Target Objects                /usr/libexec/pcp/bin/pmcpp [ file ]
Source                        sh
Source Path                   sh
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           pcp-3.10.6-1.fc22.x86_64
Policy RPM                    selinux-policy-3.13.1-128.12.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.6-200.fc22.x86_64 #1 SMP Mon
                              Aug 17 19:54:31 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-09-01 00:10:13 ART
Last Seen                     2015-09-01 00:10:13 ART
Local ID                      7a51cbf1-45a9-40b0-a984-d78bb23e31ef

Raw Audit Messages
type=AVC msg=audit(1441077013.143:11121): avc:  denied  { execute_no_trans } for  pid=2477 comm="sh" path="/usr/libexec/pcp/bin/pmcpp" dev="dm-1" ino=1498737 scontext=system_u:system_r:pcp_pmlogger_t:s0-s0:c0.c1023 tcontext=system_u:object_r:bin_t:s0 tclass=file permissive=0


Hash: sh,pcp_pmlogger_t,bin_t,file,execute_no_trans

Version-Release number of selected component:
selinux-policy-3.13.1-128.12.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.6-200.fc22.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2015-10-09 08:39:49 EDT
commit c81e5c74a20cfe31b543982f7cf5fa57eed29d76
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Fri Oct 9 14:09:58 2015 +0200

    Allow pcp_pmlogger to exec bin_t BZ(#1258698)
Comment 2 Fedora Update System 2015-10-09 10:16:43 EDT
selinux-policy-3.13.1-128.18.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-946cd8d690
Comment 3 Fedora Update System 2015-10-09 19:22:17 EDT
selinux-policy-3.13.1-128.18.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-946cd8d690
Comment 4 Fedora Update System 2015-10-28 12:25:57 EDT
selinux-policy-3.13.1-128.18.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.